if (isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	if (!$RTB::RTBR_ServerControl_Hook)
		exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");

	RTB_registerPref("Slot 1", "Spawn Tools", "$Pref::Server::SpawnTool0", "string 20", "Script_SpawnTools", "HammerItem", 0, 0);
	RTB_registerPref("Slot 2", "Spawn Tools", "$Pref::Server::SpawnTool1", "string 20", "Script_SpawnTools", "wrenchItem", 0, 0);
	RTB_registerPref("Slot 3", "Spawn Tools", "$Pref::Server::SpawnTool2", "string 20", "Script_SpawnTools", "printGun", 0, 0);
	RTB_registerPref("Slot 4", "Spawn Tools", "$Pref::Server::SpawnTool3", "string 20", "Script_SpawnTools", "", 0, 0);
	RTB_registerPref("Slot 5", "Spawn Tools", "$Pref::Server::SpawnTool4", "string 20", "Script_SpawnTools", "", 0, 0);
}

// Many of the default items/weapons are fucked up

if (isObject(printGunImage))
	printGunImage.item = "printGun";

if (isObject(gunImage))
	gunImage.item = "gunItem";

if (isObject(rocketLauncherImage))
	rocketLauncherImage.item = "rocketLauncherItem";

if (isObject(akimboGunImage))
	akimboGunImage.item = "akimboGunItem";

if (isObject(horseRayImage))
	horseRayImage.item = "horseRayItem";

if (isObject(blueKeyImage))
	blueKeyImage.item = "blueKeyItem";

if (isObject(greenKeyImage))
	greenKeyImage.item = "greenKeyItem";

if (isObject(yellowKeyImage))
	yellowKeyImage.item = "yellowKeyItem";

function serverCmdGetItemName(%client)
{
	if (!%client.isAdmin)
		return;

	if (!isObject(%player = %client.player))
		return;

	if (!isObject(%image = %player.getMountedImage(0)))
		return;

	messageClient(%client, '', %image.item);
}

function serverCmdSetSpawnTool(%client, %slot, %item)
{
	if (!%client.isSuperAdmin)
		return;

	if (%item !$= "" && isObject(%item))
	{
		if (%item.getClassName() !$= "ItemData")
		{
			messageClient(%client, '', "'" @ %item @ "' is not an item");
			return;
		}
	}

	$Pref::Server::SpawnTool[%slot] = %item;

	if (isFunction(RTBSC_sendPrefValues))
		RTBSC_sendPrefValues(%client);
}

package Script_SpawnTools
{
	function Player::GiveDefaultEquipment(%this)
	{
		%client = %this.client;
		%this.clearTools();

		for(%i = 0; %i < %this.getDatablock().maxTools; %i++)
		{
			%tool = $Pref::Server::SpawnTool[%i];

			if (!isObject(%tool))
				continue;

			%this.tool[%i] = $Pref::Server::SpawnTool[%i].getId();
			%this.weaponCount++;
			messageClient(%client, 'MsgItemPickup','', %i, $Pref::Server::SpawnTool[%i].getId());
		}
	}
};
activatePackage(Script_SpawnTools);